package com.example.iot_controlhost.model.net;

import com.google.gson.annotations.SerializedName;

/**
 * @Description FRP配置信息下载
 * @Author DuanKaiji
 * @CreateTime 2024年06月03日 15:52:08
 */
public class FrpConfig {

    @SerializedName("Code")
    private String code;
    @SerializedName("Data")
    private DataDTO data;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("DownloadUrl")
        private String downloadUrl;
        @SerializedName("HostName")
        private String hostName;
        @SerializedName("ServiceUrl")
        private String serviceUrl;
        @SerializedName("ServicePort")
        private String servicePort;
        @SerializedName("LocalPort")
        private String localPort;

        public String getDownloadUrl() {
            return downloadUrl;
        }

        public void setDownloadUrl(String downloadUrl) {
            this.downloadUrl = downloadUrl;
        }

        public String getHostName() {
            return hostName;
        }

        public void setHostName(String hostName) {
            this.hostName = hostName;
        }

        public String getServiceUrl() {
            return serviceUrl;
        }

        public void setServiceUrl(String serviceUrl) {
            this.serviceUrl = serviceUrl;
        }

        public String getServicePort() {
            return servicePort;
        }

        public void setServicePort(String servicePort) {
            this.servicePort = servicePort;
        }

        public String getLocalPort() {
            return localPort;
        }

        public void setLocalPort(String localPort) {
            this.localPort = localPort;
        }
    }
}
